Package nl.tudelft.simulation.examples.dsol.animation.continuous

## Class Ball

- java.lang.Object
- - nl.tudelft.simulation.examples.dsol.animation.Ball
  - - nl.tudelft.simulation.examples.dsol.animation.continuous.Ball

All Implemented Interfaces:
  `Locatable`

    public class Ball
    extends Ball

Copyright (c) 2002-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved.

See for project information www.simulation.tudelft.nl.

Author:
  Alexander Verbraeck

### Field Summary

### Fields inherited from class nl.tudelft.simulation.examples.dsol.animation.Ball

`RADIUS, theta`

### Constructor Summary

Constructors
`Ball​(DESSSimulatorInterface.TimeDouble simulator)` constructs a new Ball.

### Method Summary

All Methods Instance Methods Concrete Methods
`DirectedPoint3d` `getLocation()`
`void` `next()` next move.

### Methods inherited from class nl.tudelft.simulation.examples.dsol.animation.Ball

`getBounds, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Ball

    public Ball​(DESSSimulatorInterface.TimeDouble simulator)
         throws RemoteException,
                NamingException

constructs a new Ball.

Parameters:
  `simulator` - DESSSimulatorInterface.TimeDouble; the simulator
Throws:
  `RemoteException` - on network exception
  `NamingException` - on animation error

### Method Detail

#### getLocation

    public DirectedPoint3d getLocation()
                                throws RemoteException

Throws:
  `RemoteException`

#### next

    public void next()
              throws RemoteException

next move.

Throws:
  `RemoteException` - on network failure